//////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2014 PANGO MICROSYSTEMS, INC
// ALL RIGHTS REVERVED.
//
// THE SOURCE CODE CONTAINED HEREIN IS PROPRIETARY TO PANGO MICROSYSTEMS, INC.
// IT SHALL NOT BE REPRODUCED OR DISCLOSED IN WHOLE OR IN PART OR USED BY
// PARTIES WITHOUT WRITTEN AUTHORIZATION FROM THE OWNER.
//
//////////////////////////////////////////////////////////////////////////////
//the compare_256b module, which is compare the 256 bits data 

module ips_dbc_compare_256b_v1_0(
input clk,
input rstn,
input [255:0] dina,
input [255:0] dinb,
output reg result_equal_to,
output reg result_larger_than
); //3 clock cycles latency

`pragma protect begin_protected
`pragma protect version=1
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="Synplify encryptP1735.pl"
`pragma protect encrypt_agent_info="Synplify encryptP1735.pl Version 1.1"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="Synplicity", key_keyname="SYNP15_1", key_method="rsa"
`pragma protect key_block
lJ25v7eE56ZNwKYSgpg+r20+UHExYPY5mDCgj5t1vhTctzL10PLsm0XqkX/mw/tg3+NO6Orn8MiX
HoJRgf87s7NU0AgIOvt4tLRV27xpsVyxUQ6EvRXr/xlI1XGTuA/9cvnb1DIeNEy5sy8NjUIzmRd1
hdcUOy8ynaExgaPlkSw+JedLp9WOfMuupHoEDoHVZ/Tyo7kUQEp+2/YVS7aMy3TquMmtcDKA+9HP
j/4FXID7G8kkOnvfKun6n4hEnswq3dF7fhs5pwSoehdj9sqQh/qm7vNcnyqTm3JI9nzuNooU5XyD
kLdrwW/F7Ivkt74XRVZ0ZFAkCRF5PaRhWR7Wwg==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="Pango Microsystems", key_keyname="PANGO_21", key_method="rsa"
`pragma protect key_block
gTpJIlr85hI59XsU0v88KFFdH6lPZFgukswEu9GgIeDxqeQ3BBCWKptnfVviOtGs6VPs2ZDb9khB
JGOUSdbsw7V5FpHxvrHNHAglcYw+R3VigLwSQvofA12/9V26hu431luKY0uBcGaiJ7PyC6Lgs4uM
ION+sDZOybsBfhSLvPmjcY3cnTvl6qQlPRNgf8pA9imgisA3ecvtBgZfLU7I5dl5uSHzCYEo6Zbd
ZCJoTrLdEP1aQ9c8qwGN+bNOsjYfcn9T10eYAm52tb1TfT7XajIn1vOSYigS9BLCg4SlLpLTs4w/
EGmm2Sa6eaXGSFwRaV6bXm5W3fbFCTe1flJCPg==

`pragma protect data_method="aes128-cbc"
`pragma protect encoding=(enctype="base64", line_length=76, bytes=14000)
`pragma protect data_block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`pragma protect end_protected
endmodule